#include <iostream>
#include <cstdio>
#include <algorithm>
using namespace std;
int a[1000005];
int main()
{
	int n;
	cin >> n;
	for(int i = 0; i <= n; ++ i)
		scanf("%d", &a[i]);
	sort(a, a + 1 + n);
	for(int i = 0; i <= n; ++ i)
		cout << a[i] << " ";
 } 
